.**** Created using IPF Editor 1.0 (C) 1992-1993 Perez Computing Services. ****
.****************************************************************************
.*           SAMPLE ONLINE DOCUMENT PROJECT 
.****************************************************************************
.* The text for this document was imported in from a text file.
.*  The IPF Editor correctly removed all colons and other odd
.*   characters and converted them to their IPF tags.

.*  Note:  The ".*" indicates that the current line is a comment
.*  and ignored by the IPF Compiler.


.****************************************************************************
.*                     TAGGING IPF FILES OVERVIEW
.****************************************************************************
.*  Tagging of files is usually done in two passes.  The first pass
.*  is used to place panel headers, list and subsections, and 
.*  other similar tags.  The second pass is used to place hyper-
.*  text/graphics links in the file.  Since hypertext/graphics links
.*  require the panel headers to be defined, you must define
.*  all panel headers before trying to define hypertext/graphics
.*  links.


.****************************************************************************
.*                           HOW TO BUILD THIS FILE
.****************************************************************************
.* If you correctly loaded this file using the "File select project" menu
.*  item you can compile and test this project using the "Compiler
.*  Compile project" item to create the .INF file, and the "Compiler
.*  Test document" to test the file "SHAKESPR.INF" created.
.*  You will probably wish to turn on the compiler results window
.*  in the Compiler Compile project setup dialog so you can see the
.*  results of your latest compile


.****************************************************************************
.*                          PANEL HEADING MARKING
.****************************************************************************
.* This is the first header of the document and will be the first entry 
.*  in the document's table of contents.  Note that every panel header 
.*  (the ":hn." has text following  it that is the Panel Header title (the 
.*  text shown at the top of the panel).  This panel was created using 
.*  the "Ipf commands, Panel headers, level 1" menu option after high-
.*  lighting the text "Twelfth Night."  Note the res code and name= 
.*  portion of the tag were generated automatically by the IPF Editor.
.* The ":p." (paragraph) tag immediately follows the panel header and 
.*  indicates what text will be associated with the panel header and show 
.*  up in the panel.  You can place more than one paragraph in each panel, 
.*  plus any of the other IPF commands including lists, notes, footnote 
.*  references, hypertext links, etc.
:h1 name=Twelfth_Night res=5.Twelfth Night
:p.This is part of Act 1, Scene 2 from Shakespeare's "Twelfth Night." 


.****************************************************************************
.*                           SIMPLE LIST MARKING			
.****************************************************************************
.* This is a simple list shown below.  Each of the list items was typed in, 
.*  one per line, separated by a blank line.  Then the mouse was used to 
.*  highlight the items, and the simple list graphical menu item  was
.*  selected (You can get descriptions of hold the mouse button down
.*  on any graphical menu item and move the mouse  up or down you 
.*  will see descriptions of each item).

.* PASS 2:  Once we created the basic list, we then marked each 
.*  list item individually using the mouse and used the "Hypertext/
.*  graphics link" command (either with the graphical menu or by
.*  pressing ALT-T, or with the pop-up menu).  Then we selected
.*  the panel we wished to link the marked text to.
:sl.

:li.:link reftype=hd res=56535.Description of Characters:elink.

:li.:link reftype=hd res=56545.Scene Description:elink.

:li.:link reftype=hd res=56550.Scene  Action:elink.

:esl.


.****************************************************************************
.*                 SECOND LEVEL PANEL DEFINITION
.****************************************************************************
.* This is a second level panel header.  Again we highlighted the text 
.*  "Dramatis Personae" with the mouse, then selected the second
.*  level panel header. 
:h2 res=56535.Dramatis Personae


.****************************************************************************
.*                      UNORDERED LIST MARKING
.****************************************************************************
.* This list was produced just like the simple list in the first panel.   
.*  Each item was separated by a blank line, then the text was
.*  highlighted with the mouse and the "IPF commands, Lists,
.*  Unordered list" menu item was selected from the top level
.*  menu.  Of course we could have used the unordered list graphical
.*  menu item, instead and gotten the same results.
:ul.
:li.:link refid=Duke_Orsino reftype=fn.Orsino:elink. 

:li.:link refid=Sebastian reftype=fn.Sebastian:elink.  

:li.:link refid=Captain reftype=fn.A Sea Captain:elink.,   (Captain)

:li.:link refid=Olivia reftype=fn.Olivia:elink.

:li.:link refid=Viola reftype=fn.Viola:elink.

:eul.


.****************************************************************************
.*             ANOTHER FIRST LEVEL PANEL HEADER
.****************************************************************************
:h1 res=56540.Act I   Scene II

:p.A discussion between Viola and the Captain near the sea-coast.


.****************************************************************************
.*           ANOTHER SECOND LEVEL PANEL HEADER
.****************************************************************************
:h2 res=56545.Scene


:p.A city in Illyria, and the sea-coast near it.


:h2 res=56550.Action

:p.              {Enter Viola, a Captain, and Sailors.}

.****************************************************************************
.*                         SAMPLE EXAMPLE TEXT
.****************************************************************************
.* Note the use of the .xmp example text.  The entire panel's text was
.*  highlighted with the mouse, then the "IPF commands, Subsections,
.*  Example" menu item was selected.  Selecting this lets us keep the
.*  original formatting of Shakespeare's text.
:xmp.

.****************************************************************************
.*		TEXT HIGHLIGHTING EXAMPLE
.****************************************************************************
.* Each of the names of the two characters (VIOLA and the ship 
.*  CAPTAIN) have been boldfaced by highlighting the text with
.*  the mouse, then selecting the "IPF commands, Highlighting,
.*  Bold" menu item.
.* Also note the use of the &colon. that is used to generate
.*  colons.

         :hp2.VIOLA&colon.:ehp2.  What country, friends, is this?

       :hp2.Captain&colon.:ehp2.  This is Illyria, lady.

         :hp2.VIOLA&colon.:ehp2.  And what should I do in Illyria?
                 My :link refid=Sebastian reftype=fn.brother:elink. he is in Elysium.
                 Perchance he is not drown'd&colon.  what think you, sailors?

       :hp2.Captain&colon.:ehp2.  It is perchance that you yourself were saved.

         :hp2.VIOLA&colon.:ehp2.  O my poor :link refid=Sebastian reftype=fn.brother:elink.!  and so perchance may he be.

       :hp2.Captain&colon.:ehp2.  True, madam&colon.  and, to comfort you with chance,
                 Assure yourself, after our ship did split,
                 When you and those poor number saved with you           
                 Hung on our driving boat, I saw your :link refid=Sebastian reftype=fn.brother:elink.,
                 Most provident in peril, bind himself,
                 Courage and hope both teaching him the practice,
                 To a strong mast that lived upon the sea;
                 Where, like Arion on the dolphin's back,
                 I saw him hold acquaintance with the waves
                 So long as I could see.

         :hp2.VIOLA&colon.:ehp2.  For saying so, there's gold&colon.
                 Mine own escape unfoldeth to my hope,
                 Whereto thy speech serves for authority,                
                 The like of him.  Know'st thou this country?

       :hp2.Captain&colon.:ehp2.  Ay, madam, well; for I was bred and born
                 Not three hours' travel from this very place.

         :hp2.VIOLA&colon.:ehp2.  Who governs here?

       :hp2.Captain&colon.:ehp2.  A noble duke, in nature as in name.

         :hp2.VIOLA&colon.:ehp2.  What is the name?

       :hp2.Captain&colon.:ehp2.  :link refid=Duke_Orsino reftype=fn.Orsino:elink..

         :hp2.VIOLA&colon.:ehp2.  :link refid=Duke_Orsino reftype=fn.Orsino:elink.!  I have heard my father name him&colon.
                 He was a bachelor then.

       :hp2.Captain&colon.:ehp2.  And so is now, or was so very late;                     
                 For but a month ago I went from hence,
                 And then 'twas fresh in murmur,--as, you know,
                 What great ones do the less will prattle of,--
                 That he did seek the love of fair :link refid=Olivia reftype=fn.Olivia:elink..

         :hp2.VIOLA&colon.:ehp2.  What's she?

       :hp2.Captain&colon.:ehp2.  A virtuous maid, the daughter of a count
                 That died some twelvemonth since, then leaving her
                 In the protection of his son, her brother,
                 Who shortly also died&colon.  for whose dear love,
                 They say, she hath abjured the company                  
                 And sight of men.

         :hp2.VIOLA&colon.:ehp2.                  O that I served that lady
                 And might not be delivered to the world,
                 Till I had made mine own occasion mellow,
                 What my estate is!

       :hp2.Captain&colon.:ehp2.                     That were hard to compass;
                 Because she will admit no kind of suit,
                 No, not the :link refid=Duke_Orsino reftype=fn.duke's:elink..

         :hp2.VIOLA&colon.:ehp2.  There is a fair behavior in thee, captain;
                 And though that nature with a beauteous wall
                 Doth oft close in pollution, yet of thee
                 I will believe thou hast a mind that suits              
                 With this thy fair and outward character.
                 I prithee, and I'll pay thee bounteously,
                 Conceal me what I am, and be my aid
                 For such disguise as haply shall become
                 The form of my intent.  I'll serve this :link refid=Duke_Orsino reftype=fn.duke:elink.&colon.
                 Thou shall present me as an eunuch to him&colon.
                 It may be worth thy pains; for I can sing
                 And speak to him in many sorts of music
                 That will allow me very worth his service.
                 What else may hap to time I will commit;                
                 Only shape thou thy silence to my wit.
:exmp.


.****************************************************************************
.*                            FOOTNOTE DEFINITIONS
.****************************************************************************
.*  These footnotes were created by entering in the text, then
.*  highlighting it and selecting the footnote graphical menu item.
.*  The id was whatever text we chose to enter to describe the
.*  footnote.  You can enter up to 31 characters to describe the
.*  footnote, including spaces.  DO NOT enter periods in the description
.*  or the hypertext/graphics linking to the footnote will not work
.*  correctly.
:fn id=Duke_Orsino.
The Duke of Illyria. ("Duke Orsino").
:efn.


.****************************************************************************
.*                      THREE MORE FOOTNOTES
.****************************************************************************
:fn id=Sebastian.
Sebastian is the brother of Viola.
:efn.


:fn id=Captain.
The Captain, a friend to Viola.
:efn.


:fn id=Olivia.
Olivia is the beloved of Duke Orsino.
:efn.



:fn id=Viola.
Viola is a castaway; sister to Sebastian.
:efn.

.****************************************************************************
.*           END OF FIRST (AND ONLY) FILE IN THIS PROJECT
.****************************************************************************
.*  The project capabilities of the IPF Editor let you create up to
.*   thirty two files in any project, each up to 60,000 bytes in length.
.*  You can add more files to this sample project by using the "File
.*   New" command.   Feel free to try this and alter this project
.*   in any way you want to.  Please do not  place altered files back
.*   into the original IPFEDIT.ZIP file and then upload it or give it 
.*   to other people.
   



